<?php

namespace App\Filament\Resources\PhoneVerifications;

use App\Filament\Resources\PhoneVerifications\Pages\ListPhoneVerifications;
use App\Filament\Resources\PhoneVerifications\Pages\ViewPhoneVerification;
use App\Filament\Resources\PhoneVerifications\Schemas\PhoneVerificationInfolist;
use App\Filament\Resources\PhoneVerifications\Tables\PhoneVerificationsTable;
use App\Models\PhoneVerification;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Support\Icons\Heroicon;
use Filament\Tables\Table;

class PhoneVerificationResource extends Resource
{
    protected static ?string $model = PhoneVerification::class;

    protected static ?string $recordTitleAttribute = 'phone';

    protected static ?string $navigationLabel = 'OTP Verifications';

    protected static ?string $modelLabel = 'OTP verification';

    protected static ?string $pluralModelLabel = 'OTP verifications';

    protected static string|BackedEnum|null $navigationIcon = Heroicon::OutlinedKey;

    protected static ?int $navigationSort = 2;

    public static function infolist(Schema $schema): Schema
    {
        return PhoneVerificationInfolist::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return PhoneVerificationsTable::configure($table);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index' => ListPhoneVerifications::route('/'),
            'view' => ViewPhoneVerification::route('/{record}'),
        ];
    }

    public static function canCreate(): bool
    {
        return false;
    }
}
